Fuse Emulator 1.5

Struggling with Fuse or trying to find an emulator with a specific feature. Ask your questions here.
Post Reply
User avatar
PeterJ
Site Admin
Posts: 692
Joined: Thu Nov 09, 2017 7:19 pm
Location: Surrey, UK

Fuse Emulator 1.5

Post by PeterJ » Tue Dec 12, 2017 9:14 pm

The Fuse team have released version 1.5 of their emulator.

The text below is taken from the announcement from Fred that arrived in my inbox earlier today:

A new release of Fuse, the Free Unix Spectrum Emulator, is now available at the SourceForge project:

https://sourceforge.net/projects/fuse-emulator/

Highlights of this release include:
  • Autoload snapshots replaced by a "phantom typist" which types LOAD "" or similar.
  • Alkatraz loaders (e.g. Cobra and Fairlight) are now accelerated.
  • Debugger: Ensure conditional timed breakpoints work correctly
Many thanks to everyone who's contributed to this release. Source code and binaries for Windows are currenly available on the SourceForge site; compiled binaries for various other platforms should become available in the next few days.
2 x

User avatar
RMartins
Manic Miner
Posts: 331
Joined: Thu Nov 16, 2017 3:26 pm

Re: Fuse Emulator 1.5

Post by RMartins » Thu Dec 14, 2017 2:56 pm

Always nice to get updates on this piece of software.
0 x

User avatar
pak21
Berk
Posts: 11
Joined: Sun Nov 12, 2017 9:14 pm

Re: Fuse Emulator 1.5

Post by pak21 » Fri Dec 15, 2017 7:17 pm

Thanks Peter - I'll try and remember to mirror announcements here :-)

If anyone does want the announcements from the horse's mouth so to speak, you can subscribe to the very low volume fuse-emulator-announce list. Things will also tend to be tweeted by @FuseEmulator, or there's even an RSS feed of the project's news.
1 x

User avatar
PeterJ
Site Admin
Posts: 692
Joined: Thu Nov 09, 2017 7:19 pm
Location: Surrey, UK

Re: Fuse Emulator 1.5

Post by PeterJ » Sun Dec 24, 2017 7:16 pm

I have updated my Raspberry Pi Fuse Installation instructions for version 1.5.

Let me know if you have any problems.

Code: Select all

sudo apt-get update
sudo apt-get upgrade
sudo apt-get install debhelper libglib2.0-dev zlib1g-dev libbz2-dev libgcrypt20-dev libaudiofile-dev dh-autoreconf
sudo apt-get install zlib1g zlibc libpng-dev libpng-tools libpng12-0 libxml2-dev
sudo apt-get install libgcrypt11-dev libglib2.0-dev libgtk-3-dev
sudo apt-get install libasound2-dev libaudiofile-dev
cd Downloads
wget https://downloads.sourceforge.net/project/fuse-emulator/libspectrum/1.4.1/libspectrum-1.4.1.tar.gz
tar -xzvf libspectrum-1.4.1.tar.gz
rm libspectrum-1.4.1.tar.gz
cd libspectrum-1.4.1
./configure
make
sudo make install
sudo ldconfig
cd ..
wget https://sourceforge.net/projects/fuse-emulator/files/fuse/1.5.0/fuse-1.5.0.tar.gz
tar -xzvf fuse-1.5.0.tar.gz
rm fuse-1.5.0.tar.gz
cd fuse-1.5.0
./configure
make
sudo make install
0 x

C.Born
Berk
Posts: 36
Joined: Sat Dec 09, 2017 4:09 pm

Re: Fuse Emulator 1.5

Post by C.Born » Tue Jan 23, 2018 5:48 pm

PeterJ wrote:
Sun Dec 24, 2017 7:16 pm
I have updated my Raspberry Pi Fuse Installation instructions for version 1.5.

Let me know if you have any problems.

Code: Select all

sudo apt-get update
sudo apt-get upgrade
sudo apt-get install debhelper libglib2.0-dev zlib1g-dev libbz2-dev libgcrypt20-dev libaudiofile-dev dh-autoreconf
sudo apt-get install zlib1g zlibc libpng-dev libpng-tools libpng12-0 libxml2-dev
sudo apt-get install libgcrypt11-dev libglib2.0-dev libgtk-3-dev
sudo apt-get install libasound2-dev libaudiofile-dev
cd Downloads
wget https://downloads.sourceforge.net/project/fuse-emulator/libspectrum/1.4.1/libspectrum-1.4.1.tar.gz
tar -xzvf libspectrum-1.4.1.tar.gz
rm libspectrum-1.4.1.tar.gz
cd libspectrum-1.4.1
./configure
make
sudo make install
sudo ldconfig
cd ..
wget https://sourceforge.net/projects/fuse-emulator/files/fuse/1.5.0/fuse-1.5.0.tar.gz
tar -xzvf fuse-1.5.0.tar.gz
rm fuse-1.5.0.tar.gz
cd fuse-1.5.0
./configure
make
sudo make install

you could maybe include
https://sourceforge.net/projects/fuse-e ... ils/1.4.0/
0 x

Post Reply